질문/조언질답게시판

서버를 신청했습니다.

기본적으로 apm이 설치되어 있다고 하는데요

rpm -q httpd 명령어를 실행하면

httpd 가 설치되어 있지 않다고 하는데요.

그럼 아파치가 설치되어 있지 않은거죠??


mysql과 php는 설치되어 있는것 같은데

버전이 낮은것 같아요

상위버전으로 설치할려면 기존에 있는걸 지우고

설치해야 하는거죠??

너무 몰라서 죄송합니다.


구글링해봐도 아파치 설치여부 확인은 잘 모르겠네요.

그리고 설치방법은 많이 나와 있는데 새로운 버전으로 업그레이드 하는 부분은 잘 안 나와 있네요~ ㅜㅜ

  • profile
    rpm 쓰지 않고 임의의 경로에 소스설치한 모양이네요. 그런 변태스러운 업체가 대체 어딘가요 ㄷㄷㄷ
  • profile ?
    통xxx 인데요... 아파치가 설치가 되어있는데.. rpm으로 설치하는 경로와 달라서 아파치 설치 버전이 확인이 안되는가 보네요. 구글링 해서 나오는 부분과 달라서 한참 헤맷네요... 덕분에 왜 그런지 알았습니다. 일단 설치가 되어있다고 봐야겠네요. 감사합니다.
  • ? profile
    어떤 경로에 설치되어 있는지 찾아서 (대개 /usr/local이나 /opt 아래에 들어갑니다) 지워버리고 rpm으로 (repo 적당히 추가해서 yum으로) 다시 설치하시는 것이 장기적으로 보안패치나 안정성 면에서 훨씬 나을 거예요. 저도 호스팅 업체에서 APM 설치해 주면 무조건 지우고 제 방식으로 재설치합니다.
  • profile ?
    이제서야 답변을 봤네요. 답변 너무 감사합니다. 근데 시도해 보기 전에 통xxx 탈퇴해 버렸어요. 공부 좀 하고 다시 가입하던가 해야 겠어요..
  • profile
    대부분 /opt 안에 설치하긴 하는데 기진곰님 말씀처럼 아예 지워버리고 yum으로 repository 설치해서 하는게 가장 좋습니다.

    카X24 에도 그런 변태같은짓 잘하던데 (..) APM을 알아서 설치하면 안되냐 하니까
    가능은 하지만 기술지원이 안된다고.. (..)
  • profile ?
    답변 감사합니다. 많은 도움이 되었습니다.